<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <GenerateDocumentationFile>true</GenerateDocumentationFile>
        <NoWarn>$(NoWarn);1591</NoWarn>
    </PropertyGroup>

    <ItemGroup>
      <ProjectReference Include="..\Otus.Teaching.Pcf.ReceivingFromPartner.Core\Otus.Teaching.Pcf.ReceivingFromPartner.Core.csproj" />
      <ProjectReference Include="..\Otus.Teaching.Pcf.ReceivingFromPartner.DataAccess\Otus.Teaching.Pcf.ReceivingFromPartner.DataAccess.csproj" />
      <ProjectReference Include="..\Otus.Teaching.Pcf.ReceivingFromPartner.Integration\Otus.Teaching.Pcf.ReceivingFromPartner.Integration.csproj" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="EFCore.NamingConventions" Version="1.1.0" />
      <PackageReference Include="Microsoft.EntityFrameworkCore" Version="3.1.4" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="3.1.4" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="3.1.4" />
      <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="3.1.3" />
      <PackageReference Include="NSwag.AspNetCore" Version="13.5.0" />
    </ItemGroup>

</Project>
